@charset "utf-8";
/* CSS Document */
/* Homepage Styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body.homepage {
    background-color: #000000;
    width: 100%;
    height: 100%;
	margin: 0;
	padding: 0;
	overflow: hidden;
	display: flex;
	justify-content: center;
	align-items:center;
	flex-direction: column;
}

/* Menu */
.menu {
    position: fixed;
    top: 80px;
    right: 100px;
    width: 35.5px;
    height: 35.5px;
    z-index: 100;
}

.menu img {
    width: 100%;
    height: 100%;
    cursor: pointer;
    transition: all 0.3s ease;
}

.menu img:hover {
    transform: scale(1.1);
}

/* Navigation Menu */
.nav-menu {
    display: none;
    position: absolute;
    top: 60px;
    right: 10px;
    background: rgba(0, 0, 0, 0.8);
    color: white;
    padding: 10px;
    border-radius: 5px;
}

.nav-menu.show {
    display: block; /* Show when the class is toggled */
}

.nav-menu a {
    display: block;
    margin: 5px 0;
    color: #e6c068;
    text-decoration: none;
}

.nav-menu a:hover {
    text-decoration: underline;
}

header {
	position: fixed;
	top: 50%;
	left: 50%;
    transform: translate(-50%, -50%);
	z-index: 10;
	align-items: center;
	justify-content: center;
}
.main-logo {
	width: auto;
	height: auto;
	z-index:1;
	max-width: 100%;
	max-height:100%;
}

.cta-button {
    position: fixed;
    bottom: 20px;
    right: 6px;
    width: 393.9px;
    height: 117px;
	z-index:10;
}

.cta-button img {
    width: 223.8px;
    height: auto;
    cursor: pointer;
    transition: transform 0.3s ease, width 0.3s ease;
}

.cta-button img:hover {
    transform: scale(1.1);
}

@media (max-width: 768px) {
    .menu img {
        width: 30px;
    }

    .main-logo {
		margin-top:20px;
		heigh: auto;
        max-height:none;
		max-width:none;
		width: 350px;
	}
	
	.cta-button {
        width: 150px;  /* Make the button smaller on mobile */
        height: auto;   /* Adjust the height automatically */
        bottom: 10px;   /* Keep it closer to the bottom */
        right: 5px;    /* Keep it on the bottom-right corner */
    }
	
	.cta-button img{
		width: 100%;
		height: auto;
	}
}
